<!-- <app-table [columns]="tableData.tableColumns" [tableData]="storeInfo" tableName="Usuarios"
    [tableDataSearch]="storeInfoSearch" [filterInclude]="tableData.filterInclude" emitTableEvents="true"
    (create)="create()" (delete)="delete($event)">
</app-table> -->

<div class="all-in-one-table">
  <elastic-page-header
    [height]="'120px'"
    background="url(assets/img/demo/headers/pattern-3.png)"
    [reverse]="true"
  >
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs
      [currentPage]="tableName"
      [header]="'primary'"
    ></elastic-breadcrumbs>
    <mat-label class="paddingSearch">Usuarios</mat-label>
    <mat-form-field class="inputSearch">
      <mat-icon class="filter-input-icon" matPrefix>search</mat-icon>
      <!-- <mat-label>Buscar</mat-label> -->
      <input
        [(ngModel)]="valueSearch"
        (ngModelChange)="onInputChange()"
        matInput
        placeholder="Buscar por nombre, apellido, correo o cedula."
      />
    </mat-form-field>
    <button mat-raised-button (click)="searchUser()" class="buttonSearch">
      Buscar
    </button>
    <button mat-raised-button (click)="reportUsers()" class="buttonSearch">
      <img src="assets/img/icon/iconExcel.svg" width="30px" alt="logo excel"/>
    </button>
    <!--  <elastic-list [name]="Usuarios" [columns]="columns"> -->

    <!-- (filterLength<3)?dataSource:datasourceSearch -->
    <mat-table
      #table
      [dataSource]="searchTerm ? datasourceSearch : userFinalUser"
      matSort
    >
      <ng-container *ngFor="let column of columns">
        <ng-container
          *ngIf="column.isModelProperty"
          [matColumnDef]="column.property"
        >
          <mat-header-cell *matHeaderCellDef>
            {{ column.name }}</mat-header-cell
         >
          <ng-container *ngIf="!column.isCOP && !column.state ">
            <mat-cell *matCellDef="let row; let i = index">
              {{ row[column.property] }}</mat-cell
            >
          </ng-container>

          <ng-container *ngIf="column.state">
            <mat-cell *matCellDef="let row; let i = index">
              <span *ngIf="row.accountState == 'inactive'">Inactivo</span>
              <span *ngIf="row.accountState  == 'active'">Activo</span>
              <span *ngIf="row.accountState  == 'created'">Creado</span>
            </mat-cell>
          </ng-container>
          <ng-container *ngIf="column.isCOP">
            <mat-cell *matCellDef="let row; let i = index">{{
              row[column.property] | date: "yyyy-MM-dd"
            }}</mat-cell>
          </ng-container>
        </ng-container>
      </ng-container>
      <!-- actions Column -->
      <ng-container matColumnDef="actions">
        <mat-header-cell class="actions-cell" *matHeaderCellDef
          >Acciones</mat-header-cell
        >
        <mat-cell class="actions-cell" *matCellDef="let row; index as i">
          <button
            type="button"
            mat-icon-button
            [matMenuTriggerFor]="actionsMenu"
          >
            <mat-icon>more_horiz</mat-icon>
          </button>
          <mat-menu #actionsMenu="matMenu" yPosition="below" xPosition="before">
            <button mat-menu-item (click)="openModal('trip', row)">
              <span>Recorridos</span>
            </button>
            <button mat-menu-item (click)="openModal('state', row)">
              <span>Estado</span>
            </button>
            <button mat-menu-item (click)="openModal('penaltys', row)">
              <span>Sanciones</span>
            </button>
          </mat-menu>
        </mat-cell>
      </ng-container>
      <!-- Star Column -->
      <ng-container matColumnDef="star" stickyEnd>
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let element">
          <mat-icon>more_vert</mat-icon>
        </td>
      </ng-container>

      <mat-header-row *matHeaderRowDef="visibleColumns"> </mat-header-row>
      <mat-row
        *matRowDef="let row; columns: visibleColumns; index as i"
        class="clickable"
      >
      </mat-row>
    </mat-table>
    <div *ngIf="searchTerm == '' && userFinalUserLength != 0">
      <div class="mat-elevation-z8 paginator">
        <mat-label class="pagina"
          >Pagina {{ userPagination.currentPage }} de
          {{ userPagination.totalPage }}</mat-label
        >
        <div class="arrows default">
          <!-- <mat-paginator
        [pageSizeOptions]="[10, 20, 30, 40]"
        showFirstLastButtons
        aria-label="Select page of periodic elements"
      >
      </mat-paginator> -->

          <mat-icon
            *ngIf="userPagination.currentPage == 1"
            disabled="true"
            class="disabled"
            >skip_previous</mat-icon
          >
          <mat-icon
            *ngIf="
              userPagination.currentPage != 1 && userPagination.cantLeft == true
            "
            (click)="paginator('skip_previous')"
            >skip_previous</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == 1"
            disabled="true"
            class="disabled"
            >keyboard_arrow_left
          </mat-icon>
          <mat-icon
            *ngIf="
              userPagination.currentPage != 1 && userPagination.cantLeft == true
            "
            (click)="paginator('keyboard_arrow_left')"
            >keyboard_arrow_left</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == userPagination.totalPage"
            disabled="true"
            class="disabled"
          >
            keyboard_arrow_right</mat-icon
          >
          <mat-icon
            *ngIf="
              userPagination.currentPage != userPagination.totalPage &&
              userPagination.cantRigth == true
            "
            (click)="paginator('keyboard_arrow_right')"
            >keyboard_arrow_right</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == userPagination.totalPage"
            disabled="true"
            class="disabled"
          >
            skip_next</mat-icon>
          <mat-icon
            *ngIf="userPagination.currentPage != userPagination.totalPage"
            (click)="paginator('skip_next')"
          >
            skip_next</mat-icon
          >
        </div>
      </div>
    </div>

    <div *ngIf="searchTerm && datasourceSearch.length!=0">
      <div class="mat-elevation-z8 paginator">
        <mat-label class="pagina"
          >Pagina {{ userPagination.currentPage }} de
          {{ userPagination.totalPage }}</mat-label
        >
        <div class="arrows default">
          <mat-icon
            *ngIf="userPagination.currentPage == 1"
            disabled="true"
            class="disabled"
            >skip_previous</mat-icon
          >
          <mat-icon
            *ngIf="
              userPagination.currentPage != 1 && userPagination.cantLeft == true
            "
            (click)="paginatorsearch('skip_previous')"
            >skip_previous</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == 1"
            disabled="true"
            class="disabled"
            >keyboard_arrow_left
          </mat-icon>
          <mat-icon
            *ngIf="
              userPagination.currentPage != 1 && userPagination.cantLeft == true
            "
            (click)="paginatorsearch('keyboard_arrow_left')"
            >keyboard_arrow_left</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == userPagination.totalPage"
            disabled="true"
            class="disabled"
          >
            keyboard_arrow_right</mat-icon
          >
          <mat-icon
            *ngIf="
              userPagination.currentPage != userPagination.totalPage &&
              userPagination.cantRigth == true
            "
            (click)="paginatorsearch('keyboard_arrow_right')"
            >keyboard_arrow_right</mat-icon
          >

          <mat-icon
            *ngIf="userPagination.currentPage == userPagination.totalPage"
            disabled="true"
            class="disabled"
          >
            skip_next</mat-icon
          >
          <mat-icon
            *ngIf="userPagination.currentPage != userPagination.totalPage"
            (click)="paginatorsearch('skip_next')"
          >
            skip_next</mat-icon
          >
        </div>
      </div>
    </div>
    <!--     </elastic-list> -->
  </div>
</div>
